Subject: [Tools-discuss] tools.ietf.org oddness

From: Jari Arkko <[email-masked]>
Date: Wed, 3 Mar 2021 13:46:47 +0200

I noticed odd behaviour with tools.ietf.org today. Click on a tools link to a draft, get 404. E.g., https://tools.ietf.org/html/draft-arkko-emu-rfc3748bis My computer uses 2001:1890:126c::1:2a or 64.170.98.42 to access the website. At first I thought this might be that some process stopped and no drafts have been updated. But then I also get to the draft, sometimes. And at other times I get to a draft but depending on the version I request, I get a different indication of what the highest level draft is. For instance, for the following draft -11 is the correct latest version, and I can currently get to the draft with https://tools.ietf.org/html/draft-ietf-core-dev-urn-11 but if I use https://tools.ietf.org/html/draft-ietf-core-dev-urn-00 it only shows versions up to -10. Is one instance somewhere down/behind updates or what’s going on?

Maybe I haven’t got enough sleep or am doing something stupid. Or there’s a local problem. But anyone else see any issues?

Three trials with wget below, first with dns resolution and -6, the second one with dns resolution and -4, and the third one with direct IP address (4.31.198.62) and header/cert options to make that work. The first two trials fail, the third one succeeds.

Jari

$ wget -6 https://tools.ietf.org/html/draft-arkko-emu-rfc3748bis
--2021-03-03 13:40:15--  https://tools.ietf.org/html/draft-arkko-emu-rfc3748bis
Resolving tools.ietf.org (tools.ietf.org)... 2001:1890:126c::1:2a, 2001:1900:3001:11::3e
Connecting to tools.ietf.org (tools.ietf.org)|2001:1890:126c::1:2a|:443... connected.
HTTP request sent, awaiting response... 404 Not found: (draft-arkko-emu-rfc3748bis-00.txt)
2021-03-03 13:40:18 ERROR 404: Not found: (draft-arkko-emu-rfc3748bis-00.txt).

$ wget -4 https://tools.ietf.org/html/draft-arkko-emu-rfc3748bis
--2021-03-03 13:40:23--  https://tools.ietf.org/html/draft-arkko-emu-rfc3748bis
Resolving tools.ietf.org (tools.ietf.org)... 64.170.98.42, 4.31.198.62
Connecting to tools.ietf.org (tools.ietf.org)|64.170.98.42|:443... connected.
HTTP request sent, awaiting response... 404 Not found: (draft-arkko-emu-rfc3748bis-00.txt)
2021-03-03 13:40:26 ERROR 404: Not found: (draft-arkko-emu-rfc3748bis-00.txt).

$ wget --no-check-certificate -4 https://4.31.198.62/html/draft-arkko-emu-rfc3748bis  --header "Host: tools.ietf.org"
--2021-03-03 13:41:24--  https://4.31.198.62/html/draft-arkko-emu-rfc3748bis
Connecting to 4.31.198.62:443... connected.
    WARNING: certificate common name '*.tools.ietf.org' doesn't match requested host name '4.31.198.62'.
HTTP request sent, awaiting response... 302 Found
Location: https://tools.ietf.org/html/draft-arkko-emu-rfc3748bis-00 [following]
--2021-03-03 13:41:26--  https://tools.ietf.org/html/draft-arkko-emu-rfc3748bis-00
Resolving tools.ietf.org (tools.ietf.org)... 4.31.198.62, 64.170.98.42
Connecting to tools.ietf.org (tools.ietf.org)|4.31.198.62|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 229753 (224K) [text/html]
Saving to: 'draft-arkko-emu-rfc3748bis'

draft-arkko-emu-rfc3748bis               100%[===============================================================================>] 224.37K   186KB/s    in 1.2s    

2021-03-03 13:41:28 (186 KB/s) - 'draft-arkko-emu-rfc3748bis' saved [229753/229753]